import { View, Image } from "@tarojs/components";

import "./index.less";
import { useEffect, useState } from "react";
import Taro from "@tarojs/taro";
import empty from "@/assets/empty.png";
import { ActionSheet } from "@taroify/core"

export default function Index() {
  const list = ['', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '',]
  const history = [{}]
  const [open, setOpen] = useState(false)
  const actions = [
    { name: "使用此套颜色方案", value: "1", style: { color: "#5A8FFA" } },
    { name: "删除此套颜色方案", value: "2", style: { color: "#FF575F" } },
  ]
  return (
    <View className="index">
      {
        history.length ?
          <View>
            {
              history.map((item, index) => {
                return <View className="grid" key={index} onClick={() => setOpen(true)}>
                  {list.map((ite, ide) => <View className="grid-item" key={`${index}_${ide}`}></View>)}
                </View >
              })
            }
          </View>
          : <View className="empty">
            <Image src={empty} className="empty-img" />
            <View className="empty-text">暂无历史记录</View>
          </View>
      }
      <ActionSheet
        cancelText="取消"
        actions={actions}
        open={open}
        onSelect={() => setOpen(false)}
        onCancel={() => setOpen(false)}
      />
    </View>
  );
}
